using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using sql;

public partial class Admin_GuestBookManger : System.Web.UI.Page
{
    SqlDB sqldb = new SqlDB();
    Operation operate = new Operation();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Session["Admin"] == null)
            {
                Response.Redirect("index.aspx");
            }
            P2.Visible = false;
            P1.Visible = false;
            GridViewBind();
        }
    }
    /// <summary>
    /// 绑定GridView显示列表
    /// </summary>
    private void GridViewBind()
    {
        string strSql = "select * from guestBook";
        operate.GridViewBind(GridView1, strSql);
    }  
    /// <summary>
    /// 准备执行插入命令
    /// </summary>
    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Insert")
        {
            P2.Visible = true;
            P1.Visible = false;
        }
    }
    /// <summary>
    /// 执行翻页命令
    /// </summary>
    protected void GridView1_OnPageIndexChanged(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        GridViewBind();
    }
    /// <summary>
    /// 执行删除
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        string id = GridView1.DataKeys[e.RowIndex].Value.ToString();
        string strSql = "delete from guestbook where AriticleId=" + id;
        try
        {
            if (sqldb.ExecuteNonQueryCheck(strSql) > 0)
            {
                strSql = "delete from guestbookClass where AriticleId="+id;
                sqldb.ExecuteNonQuery(strSql);                                 
                GridViewBind();
                sql.Operation.Show_Msg("恭喜您，评论删除成功！");
            }
            else
            {
                sql.Operation.Show_Msg("评论删除失败，请重新删除！");               
            }
        }
        catch (Exception ex)
        {
        }
        finally
        {
        }
    }
    /// <summary>
    /// 准备执行编辑
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
    {
        P1.Visible = true;
        P2.Visible = false;
        string id = GridView1.DataKeys[e.NewEditIndex].Value.ToString();
        ViewState["id"] = id;
        string strSql = "select * from Guestbook where AriticleId=" + id;
        DataSet ds = sqldb.GetDS(strSql);
        txtTitleEdit.Text = ds.Tables[0].Rows[0]["Title"].ToString();
        txtContentEdit.Text = ds.Tables[0].Rows[0]["content"].ToString();
        txtEmailEdit.Text=ds.Tables[0].Rows[0]["email"].ToString();
        txtPhoneEdit.Text = ds.Tables[0].Rows[0]["phone"].ToString();
        txtUserNameEdit.Text = ds.Tables[0].Rows[0]["username"].ToString();
        ds.Clear();

    }
    /// <summary>
    /// 取消添加
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCancelAdd_Click(object sender, EventArgs e)
    {
        P2.Visible = false;
    }
    /// <summary>
    /// 取消编辑
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCanelEdit_Click(object sender, EventArgs e)
    {
        P1.Visible = false;
    }  
    /// <summary>
    /// 执行添加
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnAdd_Click(object sender, EventArgs e)
    {       

        string Ip = Request.UserHostAddress.ToString();
        string allValues = "'" + sqldb.CheckString(txtTitle.Text) + "','" + sqldb.CheckString(txtContent.Text) + "','" + sqldb.CheckString(txtUserName.Text) + "','" + sqldb.CheckString(txtEmail.Text) + "','" + sqldb.CheckString(txtPhone.Text) + "','" + Ip + "','" + DateTime.Now + "','暂无回复',0,0";
        string strsql = "insert into guestbook (title,content,username,email,phone,ip,datetime,lastuser,hits,recallhits) values(" + allValues + ")";
        if (sqldb.ExecuteNonQueryCheck(strsql) > 0)
        {
            txtTitle.Text = "";
            txtContent.Text = "";
            txtUserName.Text = "匿名";
            txtEmail.Text = "";
            txtPhone.Text = "";
            P2.Visible = false;
            GridViewBind();
            sql.Operation.Show_Msg("恭喜您，评论发表成功！");
        }
        else
        {
            sql.Operation.Show_Msg("评论发表失败，请重试！");
        }
    }
    /// <summary>
    /// 执行编辑
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnEdit_Click(object sender, EventArgs e)
    {
        string Ip = Request.UserHostAddress.ToString();
        string strsql = "update guestbook set title='" + sqldb.CheckString(txtTitleEdit.Text.Trim()) + "',content='" + sqldb.CheckString(txtContentEdit.Text) + "',username='" + sqldb.CheckString(txtUserNameEdit.Text) + "',email='" + sqldb.CheckString(txtEmailEdit.Text) + "',phone='" + sqldb.CheckString(txtPhoneEdit.Text) + "',ip='" + Ip + "',datetime='" + DateTime.Now + "'where AriticleId=" + ViewState["id"].ToString();
        if (sqldb.ExecuteNonQueryCheck(strsql) > 0)
        {
            txtTitleEdit.Text = "";
            txtContentEdit.Text = "";
            txtUserNameEdit.Text = "匿名";
            txtEmailEdit.Text = "";
            txtPhoneEdit.Text = "";
            P1.Visible = false;
            GridViewBind();
            sql.Operation.Show_Msg("恭喜您，评论修改成功！");
        }
        else
        {
            sql.Operation.Show_Msg("评论修改失败，请重试！");
        }        
    }   
}
